EXTRA_DIST=\
	test-collection-1/webapps-cut-the-rope/manifest.json\
	test-collection-1/webapps-facebook/manifest.json\
	test-collection-1/webapps-google-docs/manifest.json\
	test-collection-1/webapps-lastfm/manifest.json\
	test-collection-1/webapps-launchpad/manifest.json\
	test-collection-1/webapps-reddit/manifest.json

DBUS_RUNNER=dbus-test-runner --max-wait=0

AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_DAEMON_CFLAGS) \
	-DUNITY_WEBAPPS_ENABLE_DEBUG \
	-DTEST_DATA=\"`readlink -f $(srcdir)`/test-collection-1\" \
	-I$(top_srcdir)/src/ \
	-I$(top_srcdir)/src/context-daemon/util \
	-I$(top_srcdir)/src/libunity-webapps-repository/ \
	-DUNITY_WEBAPPS_TEST_BUILD \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)

REAL_TESTS = \
	test-application-collector \
	test-local-url-index

RUNNER_TESTS =

noinst_PROGRAMS = \
	$(REAL_TESTS) 

test_local_url_index_SOURCES = \
	test-local-url-index.c
test_local_url_index_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps-repository/libunity-webapps-repository.la

test_application_collector_SOURCES = \
	test-application-collector.c 
test_application_collector_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps-repository/libunity-webapps-repository.la

TESTS = $(RUNNER_TESTS) $(REAL_TESTS)

CLEANFILES = $(RUNNER_TESTS) $(REAL_TESTS)
